OPEN_BDEV_EXCL(9)

NAME
open_bdev_excl - open a block device by name and set it up for use

SYNOPSIS

struct block_device * open_bdev_excl (const char * path, int flags, void * holder);

ARGUMENTS

path
    special file representing the block device

flags
    MS_RDONLY for opening read-only

holder
    owner for exclusion

DESCRIPTION

Open the blockdevice described by the special file at path, claim it for the holder.

DESCRIPTION

Open the blockdevice described by the special file at path, claim it for the holder.